
def zip_longest(*args, fillvalue=0):
    iters = [iter(args[i]) for i in range(len(args))]
    while True:
        result = []
        for i, it in enumerate(iters):
            try:
                result.append(next(it))
            except StopIteration:
                iters[i] = iter([fillvalue])
                result.append(next(iters[i]))
        yield result

